# Enum JobDescription.Verification

java.lang.Object
java.lang.Enum<JobDescription.Verification>
com.sun.grid.jsv.JobDescription.Verification

All Implemented Interfaces:
  `Serializable, Comparable<JobDescription.Verification>, java.lang.constant.Constable`

Enclosing class:
  `JobDescription`

public static enum JobDescription.Verification extends Enum<JobDescription.Verification>
The possible values for the verification property.

Since:
  6.2u5

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
`NONE`
`POKE`
`VERIFY`
`WARNING`

## Method Summary

Modifier and Type
Method
Description
`static JobDescription.Verification`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JobDescription.Verification[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final JobDescription.Verification NONE

### ERROR

public static final JobDescription.Verification ERROR

### WARNING

public static final JobDescription.Verification WARNING

### VERIFY

public static final JobDescription.Verification VERIFY

### POKE

public static final JobDescription.Verification POKE

## Method Details

### values

public static JobDescription.Verification[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static JobDescription.Verification valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null